SDL_x11xinput2.h File Reference
`#include "../../SDL_internal.h"`
Include dependency graph for SDL_x11xinput2.h:

Go to the source code of this file.

## Typedefs

typedef struct XGenericEventCookie | XGenericEventCookie

## Functions

void | X11_InitXinput2 (_THIS)
void | X11_InitXinput2Multitouch (_THIS)
int | X11_HandleXinput2Event (SDL_VideoData *videodata, XGenericEventCookie *cookie)
int | X11_Xinput2IsInitialized (void)
int | X11_Xinput2IsMultitouchSupported (void)
void | X11_Xinput2SelectTouch (_THIS, SDL_Window *window)

## Typedef Documentation

typedef struct XGenericEventCookie XGenericEventCookie

Definition at line 30 of file SDL_x11xinput2.h.

## Function Documentation

int X11_HandleXinput2Event | ( | SDL_VideoData * | videodata,
|  | XGenericEventCookie * | cookie
| ) |  |

void X11_InitXinput2 | ( | _THIS |  | ) |

void X11_InitXinput2Multitouch | ( | _THIS |  | ) |

int X11_Xinput2IsInitialized | ( | void |  | ) |

int X11_Xinput2IsMultitouchSupported | ( | void |  | ) |

void X11_Xinput2SelectTouch | ( | _THIS | ,
|  | SDL_Window * | window
| ) |  |